Subject: Re: git-blame.el: what is format-spec?

From: Sergei Organov <[email-masked]>
Date: Mon, 07 Dec 2009 11:36:19 +0300

David Kågedal <[email-masked]> writes:

> Sergei Organov <[email-masked]> writes:
>
>> Then there should be (require 'format-spec) in git-blame.el, right? Due
>> to:
>
> Of course. I must have missed that since I already had it loaded.
>
>> Now, I've evaluated (require 'format-spec) in my Emacs 22 (yes, 22, not
>> 23), and now git-blame almost works there. The problem I see is that it
>> doesn't output anything in the echo area. It color-codes the buffer, it
>> does show correct pop-up when mouse is over a region, but it doesn't
>> print anything in the echo area when I move cursor through the regions.
>> Any idea how to debug/fix this?
>
> Well, it appears I removed the output to the echo area. I didn't think
> it worked very well, and the new output format mostly replaces it by
> showing the hash.
>
> There are also technical reasons for removing it (it couldn't be
> implemented very cleanly).

I didn't know you deliberately removed it, -- I thought it's some
Emacs22 - related problem. I have no problem then, except that I don't
know how to get the hash into my kill-ring or X selection.

While we are at it, why is git-blame-identify interactive and how is it
useful?

>
> It would of course be possible to restore the old way, but I think it
> would be good to ask ourselves what we really would like to see? Some
> ideas:
>
> * A keybinding to show the commit introducing the current line,
>   including diff and all.
>
> * A keybinding to show the commit message in the echo areia.

For me, these 2 would be more than enough, I think.

-- Sergei.